## net.sf.statsvn.input
Class SvnXmlCacheFileHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          net.sf.statsvn.input.SvnXmlCacheFileHandler

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

    public class SvnXmlCacheFileHandler

extends org.xml.sax.helpers.DefaultHandler

This is the SAX parser for the our line count persistence mechanism. It feeds information to (@link net.sf.statsvn.input.LineCountsBuilder).

Version:
  $Id: SvnXmlCacheFileHandler.java 351 2008-03-28 18:46:26Z benoitx $
Author:
  Gunter Mussbacher <gunterm@site.uottawa.ca>

Constructor Summary
`SvnXmlCacheFileHandler(CacheBuilder cacheBuilder)` Default constructor

Method Summary
`void` `endElement(java.lang.String uri, java.lang.String localName, java.lang.String qName)` Handles the end of an xml element and redirects to the appropriate end* method.
`void` `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attributes)` Handles the start of an xml element and redirects to the appropriate start* method.

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`characters, endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SvnXmlCacheFileHandler

    public SvnXmlCacheFileHandler(CacheBuilder cacheBuilder)

  Default constructor

  Parameters:
    `cacheBuilder` - the cacheBuilder to which to send back line count information.

Method Detail

### endElement

    public void endElement(java.lang.String uri,
                           java.lang.String localName,
                           java.lang.String qName)
                    throws org.xml.sax.SAXException

  Handles the end of an xml element and redirects to the appropriate end* method.

  Specified by:
    `endElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `endElement` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `org.xml.sax.SAXException` - unexpected event.

### startElement

    public void startElement(java.lang.String uri,
                             java.lang.String localName,
                             java.lang.String qName,
                             org.xml.sax.Attributes attributes)
                      throws org.xml.sax.SAXException

  Handles the start of an xml element and redirects to the appropriate start* method.

  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `startElement` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `org.xml.sax.SAXException` - unexpected event.